import React, { Component } from 'react';
import { Card, Tree } from 'antd';
const { DirectoryTree } = Tree;

// function Organization(props) {
  


//   return (
//     <>
//      组织架构
//     </>
//   );
// }


// export default Organization


const treeData = [
  {
    title: '江苏XX软件集团',
    key: '0-0',
    children: [
      {
        title: '南京123电子科技有限公司',
        key: '0-0-1',

        // isLeaf: true,
        children: [
          {
            title: '秦淮区分公司',
            key: '0-0-1-0',
            // isLeaf: true,
            children: [
              {
                title: '制造一区',
                key: '0-0-1-1',
                isLeaf: true,
              },
              {
                title: '总裁办公室',
                key: '0-0-1-2',
                isLeaf: true,
              },
              {
                title: '工艺部',
                key: '0-0-1-3',
                isLeaf: true,
              },
              {
                title: '技术部',
                key: '0-0-1-4',
                isLeaf: true,
              },
            ]
          },
        ]
      },
      {
        title: '苏州￥￥科技股份有限公司',
        key: '0-0-0',
        isLeaf: true,
      },
      {
        title: '宿迁ABC电商服务有限公司',
        key: '0-0-0-1',
        isLeaf: true,
      },
    ],
  },
  //---------------
  {
    title: '系统管理',
    key: '0-2',
    children: [
      {
        title: '机器设置',
        key: '0-2-0',
        isLeaf: true,
      },
      {
        title: '散热设置',
        key: '0-2-1',
        // isLeaf: true,
        children:[
          {
            title:'一号风扇',
            key:'0-2-1-0'
          },
          {
            title:'二号风扇',
            key:'0-2-1-1'
          },
        ]
      },
      {
        title: '广播设置',
        key: '0-2-2',
        isLeaf: true,
      },
    ],
  },
];

const Demo = () => {
  const onSelect = (keys, info) => {
    console.log('Trigger Select', keys, info);
  };

  const onExpand = () => {
    console.log('Trigger Expand');
  };

  return (
    <DirectoryTree
      multiple
      defaultExpandAll
      onSelect={onSelect}
      onExpand={onExpand}
      treeData={treeData}
    />
  );
};


class Treetest extends Component {
    // constructor(props) {
    //     super(props);
    //     //react定义数据
    //     this.state = {
    //     }
    // }
    render() {
        return (
          <div>
            <Card style={{width:'60%'}}>
              <DirectoryTree  treeData={treeData} />
            </Card>
          </div>
        )
    }
}
export default  Treetest;
